Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.ai2fin.com/api/category-sets \ --header 'Authorization: Bearer <token>'
{ "success": true, "sets": [ { "id": "<string>", "name": "Business Expenses", "description": "All business-related expense categories", "color": "#3B82F6", "icon": "Briefcase", "userId": "<string>", "isDefault": true, "isActive": true, "categoryCount": 123, "categories": [ { "id": "<string>", "name": "<string>", "icon": "<string>", "color": "<string>", "isTaxDeductible": true, "taxCategory": "<string>", "defaultGstRate": 123 } ], "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ], "count": 123 }
Get all category sets for the authenticated user. Elite+ subscription required.
JWT token obtained from /api/enterprise-auth/login endpoint. Use for standard API access and OAuth-based integrations.
Category sets retrieved
Show child attributes
Was this page helpful?